Search found 1184 matches

by Chris_G
Thu Jan 23, 2020 8:41 am
Forum: Developers corner
Topic: Developer-oriented feature request.
Replies: 6
Views: 232

Re: Developer-oriented feature request.

Hi, In CurvesWB, I have this to_console command : to-console.png And it works for multiple selection too : >>> ### Begin command to_console >>> doc1 = FreeCAD.getDocument('Unnamed') >>> o1 = doc1.getObject('Freehand_BSpline001') >>> e1 = o1.Shape.Edge1 >>> o2 = doc1.getObject('Extrude') >>> e2 = o2....
by Chris_G
Tue Jan 21, 2020 8:37 am
Forum: Python scripting and macros
Topic: Applying a transformation to a copy of a sketch, not to the original sketch
Replies: 7
Views: 229

Re: Applying a transformation to a copy of a sketch, not to the original sketch

In your CopyMoveandRotateSketch function, you do this : Copy.Placement = newplace It means that you are replacing Copy's placement by a new one Sketch2 = CopyMoveandRotateSketch (Sketch1, 0.0, 0.0, 0.0, 0.0, 180.0, 'X') Sketch2.Placement # returns : Placement [Pos=(0,0,0), Yaw-Pitch-Roll=(0,0,180)] ...
by Chris_G
Sun Jan 19, 2020 1:17 pm
Forum: Python scripting and macros
Topic: Add a line to a spline
Replies: 4
Views: 166

Re: Add a line to a spline

What is your goal ? If you can stay at the topology level, you can create a wire made of edges supported by different types of geometry (line, Bspline curve, conics, etc ...) This way, you don't loose the geometric type of the edges. line_segment = Part.LineSegment(v1,v2) bs_curve = Part.BsplineCurv...
by Chris_G
Sat Jan 18, 2020 10:13 pm
Forum: Python scripting and macros
Topic: Add a line to a spline
Replies: 4
Views: 166

Re: Add a line to a spline

Hi,
I have not tested, but this should work :

Code: Select all

curve = Part.BSplineCurve(matriz)
          if obj.CreateFace == True:
          	line = Part.BSplineCurve([FreeCAD.Vector(x0,y0,0),FreeCAD.Vector(x,y,0)])
          	curve.join(line)
                sh = Part.Face(Part.Wire(curve.toShape()))
by Chris_G
Tue Jan 14, 2020 9:34 pm
Forum: Open discussion
Topic: Ticket #4117 - Crash during extrusion (using OCC7.4 Beta version)
Replies: 3
Views: 146

Re: Ticket #4117 - Crash during extrusion (using OCC7.4 Beta version)

I think the sketch is not valid.
There is a short edge inside the highlighted circle.

EDIT : Geometry #57 (Circle with radius 0) must be deleted.

wrong_sketch.jpg
wrong_sketch.jpg (61.06 KiB) Viewed 57 times
by Chris_G
Tue Jan 14, 2020 4:24 pm
Forum: Help on using FreeCAD
Topic: Problem with BSpline interpolation
Replies: 2
Views: 76

Re: Problem with BSpline interpolation

The "junction" points are duplicated.
That creates an interpolation error.
You can change your ranges to :

Code: Select all

for i in range (0,30,1):
...
for j in range (30, 90, 1):
...
by Chris_G
Fri Jan 10, 2020 9:49 pm
Forum: Users Showcase
Topic: VIIC 1:45 modell
Replies: 121
Views: 27763

Re: VIIC 1:45 modell

Happy new year, I hope your wealth health is going better.
It is a great pleasure to follow this build journal.
Thanks a lot.
by Chris_G
Thu Jan 09, 2020 6:08 pm
Forum: Developers corner
Topic: Issues with pivy coin.SoFont / coin.SoText2
Replies: 11
Views: 393

Re: Issues with pivy coin.SoFont / coin.SoText2

SoText2 is not influenced by some transform operations :
The SoText2 class is a node type for visualizing 2D text aligned with the camera plane.SoText2 text is not scaled according to the distance from the camera, and is not influenced by rotation or scaling as 3D primitives are.
by Chris_G
Thu Jan 09, 2020 2:51 pm
Forum: Open discussion
Topic: Curves workbench
Replies: 543
Views: 54313

Re: Curves workbench

Probably blend curve.